Installation Problems

Add-in Express™ Support Service
That's what is more important than anything else

Installation Problems
Cannot install older Versions 
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei,

I have two questions on how to organise our installation folder on the webserver. We have now the following structure:

User added an image

1.) If we call

http://www.alerasoftlib.de/SetUp/0/1.0.16/alera.exe

we can install the program

If we try to install an older version and call

http://www.alerasoftlib.de/SetUp/0/1.0.14/alera.exe

we get the following error

User added an image

What do we have to do to be able to install older versions?

2.) Can we delete older version directories, without changing version_info.xml ?

Thank you very much for your help & kind regards

Michael
Posted 04 Nov, 2018 09:35:50 Top
Andrei Smolin


Add-in Express team


Posts: 17132
Joined: 2006-05-11
Hello Michael,

>> What do we have to do to be able to install older versions?
You need to use an old version_info.xml from version 1.0.
If you have version 1.1 you could get rid of old builds.

>> Can we delete older version directories, without changing version_info.xml ?
Yes, you can but you should be absolutely sure that no one will use older builds.

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 06 Nov, 2018 10:00:56 Top
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei,

Thank you very much. With regard to:

You need to use an old version_info.xml from version 1.0.
If you have version 1.1 you could get rid of old builds.


If I install a new version, say 1.0.16 it puts all the installation files and folders into the folder

http://www.alerasoftlib.de/SetUp/0/1.0.16/

but the version_info.xml built with Version 1.0.16 is put into

http://www.alerasoftlib.de/SetUp/

and is overwriting the existing version_info.xml

So if I want to load version 1.0.14 do I have to use the version_info.xml which was created with the Version 1.0.14 and if yes where do I put this version_info.xml in the folder structure on the server?

I seem to miss the obvious again, sorry.

Thank you & kind regards

Michael
Posted 06 Nov, 2018 11:37:17 Top
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei,

sorry I am sometimes a bit slow, but now I understand your post, I think. I saw that the latest build version_info.xml is 1.1 and only has the latest built AddIn = 1.0.16 in it.

So how do I decide to use Version 1.0 or 1.1 and how can I now recover the present built to have all the old builds accessible again? Do I just copy a back up version 1.0 into the MSIPublish Folder?

thank you and kind regards

Michael
Posted 08 Nov, 2018 06:07:25 Top
Andrei Smolin


Add-in Express team


Posts: 17132
Joined: 2006-05-11
Michael,

We recommend that you use 1.1 on all of your builds; using ADX.NET 8.9 is okay.

1.0 is an old format and a downloader built using 1.0 won't be able to use latest features of ClickTwice (such as automatic updates).

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 08 Nov, 2018 06:49:38 Top
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei,

thank you for your reply, but I did not understand, sorry?

1.) as I use 8.9 all the time, why do some user get virus warnings?

2.) Where do I select if Version_Info.xlm version 1.0 or 1.1 is used?

3.) a) I believe if I select (tick) Publish/MSIWeb_based_deployment/Preferences/Remove_Previous_Versions a version_info.xml will be produced which contains only the latest build in my example 1.0.16. Is this correct?

3.) b) How can I produce a version_info.xml which includes also previous builds after a version_info.xml with only the newest build is generated?

3.) c) Can I manually replace the version_info.xml with a back up I have?

3.) d) or do I have to rebuild the builds by using the msi files of the build versions?

3.) e) Do the build version have to be in the right order in the xml file, i.e. does 1.0.16 have to be below 1.0.15?

Thank you & kind regards

Michael
Posted 08 Nov, 2018 09:07:38 Top
Andrei Smolin


Add-in Express team


Posts: 17132
Joined: 2006-05-11
Hello Michael,

#1. Can it be that you still use 9.0? Please check the references used in your add-in and assemblies it deploys. Other than that we don't have an explanation.

#2. There's no way; it's what the Add-in Express package does.

#3.a. This doesn't relate to the contents of version_info.xml. The Remove Previous Versions option removes previous add-in versions on the customer's machine. The necessary condition is: these versions must be listed in version_info.xml

#3.b. Add-in Express doesn't know about your previous versions and preferences to use with them. The only way is: you need to choose every .MSI manually, choose preferences and publish.

#3.c. Yes, you can. But you will have to use the old format whenever you publish a new build. Then, when you have several dozens of builds and autoupdate is required, you'll have to switch to the new format.

#3.d. Not re-build, but re-publish! But see below.

#3.e. The order is irrelevant.

Assuming that you have customers who still use the old version_info format, you can switch them to using the new format by introducing a new Installation URL. You restore your backup and create a new build using the old project; let's refer to this build as BuildX. The goal is NOT to introduce new features of your add-in; the goal is to provide the users with a a way to switch to the new version_info format smoothly. To achieve this, you specify the new installation URL when publishing BuildX. Note that this won't change the version_info.xml format so everything will be okay here. Then, you open you current project with the current code base, delete version_info.xml and publish a build with the same build number: BuildX. This will create version_info.xml of version 1.1 and make it available through the new URL. In this way, old add-in versions will find BuildX, use the new Installation URL to get the new downloader which will install the product. In this case, you don't need to re-publish old builds.

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 09 Nov, 2018 05:18:40 Top
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei, just a short one before the weekend please if possible.



Now to my urgent question

I think I have version_info.xml understood

I can install any version I want without problem, however the automatic updater, when it is running gives the following error:

User added an image

This did not happen before, any settings I have to change?

thank you and kind regards

Michael

btw I get disconnected frequently and loose my draft posts, do you have a new timeout on forum connection?
Posted 09 Nov, 2018 09:28:22 Top
Andrei Smolin


Add-in Express team


Posts: 17132
Joined: 2006-05-11
Hello Michael,

Michael Kaden writes:
I can install any version I want without problem, however the automatic updater, when it is running gives the following error


I suppose your installer does not remove the previously installed version. Please check setup project's properties.

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 09 Nov, 2018 09:46:15 Top
Michael Kaden




Posts: 251
Joined: 2017-11-15
Dear Andrei

Thank you

RemovePreviousVersions is set = TRUE

Regards

Michael
Posted 09 Nov, 2018 10:12:33 Top